Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.config.profile.authn
Class IPAddressLoginHandlerFactoryBean

    java.lang.Object
      org.springframework.beans.factory.config.AbstractFactoryBean
          edu.internet2.middleware.shibboleth.idp.config.profile.authn.AbstractLoginHandlerFactoryBean
              edu.internet2.middleware.shibboleth.idp.config.profile.authn.IPAddressLoginHandlerFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean

    public class IPAddressLoginHandlerFactoryBean

extends AbstractLoginHandlerFactoryBean

Spring factory for `IPAddressLoginHandler`.

Field Summary

Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`logger`

Constructor Summary
`IPAddressLoginHandlerFactoryBean()`

Method Summary
`protected Object` | `createInstance()`
`List<String>` | `getAddresses()` Get the list of denied or permitted IPs.
`Class` | `getObjectType()`
`String` | `getUsername()` Get the username to use for IP-address "authenticated" users.
`boolean` | `isDefaultDeny()` Get whether the IPs in ipList a permitted list or a deny list.
`void` | `setAddresses(List<String> newAddresses)` Set the list of denied or permitted IPs.
`void` | `setDefaultDeny(boolean newDefaultDeny)` Set whether the IPs in ipList a permitted list or a deny list.
`void` | `setUsername(String newUsername)` Set the username to use for IP-address "authenticated" users.

Methods inherited from class edu.internet2.middleware.shibboleth.idp.config.profile.authn.AbstractLoginHandlerFactoryBean
`getAuthenticationDuration, getAuthenticationMethods, populateHandler, setAuthenticationDuration, setAuthenticationMethods`

Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPAddressLoginHandlerFactoryBean

    public IPAddressLoginHandlerFactoryBean()

Method Detail

### createInstance

    protected Object createInstance()
                             throws Exception

  Specified by:
    `createInstance` in class `org.springframework.beans.factory.config.AbstractFactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`
  Specified by:
    `getObjectType` in class `org.springframework.beans.factory.config.AbstractFactoryBean`

### getAddresses

    public List<String> getAddresses()

  Get the list of denied or permitted IPs.

  Returns:
    list of denied or permitted IPs

### setAddresses

    public void setAddresses(List<String> newAddresses)

  Set the list of denied or permitted IPs.

  Parameters:
    `newAddresses` - list of denied or permitted IPs

### getUsername

    public String getUsername()

  Get the username to use for IP-address "authenticated" users.

  Returns:
    username to use for IP-address "authenticated" users

### setUsername

    public void setUsername(String newUsername)

  Set the username to use for IP-address "authenticated" users.

  Parameters:
    `newUsername` - username to use for IP-address "authenticated" users

### isDefaultDeny

    public boolean isDefaultDeny()

  Get whether the IPs in ipList a permitted list or a deny list.

  Returns:
    whether the IPs in ipList a permitted list or a deny list

### setDefaultDeny

    public void setDefaultDeny(boolean newDefaultDeny)

  Set whether the IPs in ipList a permitted list or a deny list.

  Parameters:
    `newDefaultDeny` - whether the IPs in ipList a permitted list or a deny list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2008 Internet2. All Rights Reserved.